Page 1 of 1

Yocto meta-atmel not building right kernel

Posted: Thu Jul 18, 2019 4:51 pm
by andyp
I have created a Yocto build for the ATSAMA5D2C-XULT using Warrior and meta-atmel. When I deploy the built image I see the following output:

U-Boot 2019.04-linux4sam_6.1-rc1 (Jul 18 2019 - 07:48:16 +0000)
Linux version 4.19.16+ (oe-user@oe-host) (gcc version 8.3.0 (GCC)) #1 Wed Jul 17 15:46:48 UTC 2019

As linux4sam_6.1 has been released with kernel 4.19.56 I'm not sure why I'm not building what I expected.

If I try a "git pull" on meta-atmel it tells me that it is already up-to-date.

-Andy.

Re: Yocto meta-atmel not building right kernel

Posted: Tue Jul 23, 2019 1:24 am
by blue_z
andyp wrote: I have created a Yocto build for the ATSAMA5D2C-XULT using Warrior and meta-atmel.
...
As linux4sam_6.1 has been released with kernel 4.19.56 I'm not sure why I'm not building what I expected.
If you expect to build the Linux4SAM 6.1 demo, then you need to use the branch that is described in the announcement, i.e. "Yocto Project SDK based on Linux4SAM 6.1 release (Yocto Project 2.6.2 Thud)".

Regards